Subject: [bug#40021] gnu: Add mm-common.

From: "Raghav Gururajan" <[email-masked]>
Date: Sun, 05 Apr 2020 04:05:50 +0000

Hi Danny!

> I've tried it both with #:glib-or-gtk? #t and #:glib-or-gtk? #f and then compared
> the result using diffoscope there's no functional difference.
> 
> Therefore, I suggest leaving the #:glib-or-gtk? off, or investigating why it
> doesn't do anything.

You are right, it is not required for this package.

> This package contains unpatched references to perl, git, ln and other
> programs, which means that those programs are looked up in $PATH and
> most probably will not be found.
> 
> It also contains patched references to python.
> 
> That's not consistent.
> 
> Please research what the package is supposed to do. If perl, git and
> ln are internally required modules, let's patch them.
> 
> If they are external "composing" modules, let's leave them as-is.

I have checked and they are not internally required. Only python is required which is already patched. :-)

Please find the revised patch, attached with this email.

Regards,
RG.